drop procedure if exists lt1_shop_sales_statistics_graph;

DELIMITER //
CREATE PROCEDURE lt1_shop_sales_statistics_graph( _listToken varchar(21), _sdate varchar(8), _edate varchar(8),
                                              _s1 varchar(32), _e1 varchar(32), _s2 varchar(32), _e2 varchar(32),
                                              _s3 varchar(32), _e3 varchar(32), _s4 varchar(32), _e4 varchar(32),
                                              _where varchar(386), _having varchar(386), _orderby varchar(64),
                                              _branch int, _storage int)
BEGIN
	  DECLARE start_date varchar(8);
	  DECLARE end_date varchar(8);
	  set start_date = _sdate;
	  set end_date = _edate;


    -- 최종 쿼리 실행
insert into dbt_list_type1
( created_on, list_token, c1, c2, c3, c4 )

SELECT
	unix_timestamp(),
    _listToken,
    DATE(mx.sorder_date) AS c1,
    SUM(total_amt) AS c2,
    COUNT(mx.id) AS c3,
    COUNT(DISTINCT mx.buyer_id) AS c4
FROM
    dbr_sorder AS mx
WHERE
    mx.sorder_date >= start_date AND mx.sorder_date <= end_date
GROUP BY
    DATE(mx.sorder_date)
ORDER BY
    DATE(mx.sorder_date);
END //

DELIMITER ;
