drop table if exists sch_ditem;
CREATE TABLE `sch_ditem` (
 `id` varchar(1) NOT NULL DEFAULT '' COMMENT '상품링크코드:유일코드',
 `created_on` bigint(20) DEFAULT 0  COMMENT '작성일자',
 `updated_on` bigint(11) NOT NULL DEFAULT 0 COMMENT '수정일자',
 `brand_uid` varchar(64) NOT NULL DEFAULT 'no-brand' COMMENT '브랜드유일키',
 `igroup_code` varchar(21) NOT NULL COMMENT '상품카테고리 코드',
 `igroup_name` varchar(21) NOT NULL COMMENT '상품카테고리명',
 `item_code` varchar(21) NOT NULL COMMENT '상품코드',
 `item_name` varchar(82) NOT NULL COMMENT '상품명',
 `count_unit` varchar(5) NOT NULL COMMENT '수량단위(EA등)',
 `cargo_type` varchar(5) NOT NULL COMMENT '화물구분:택배,소포,등기',
 `ship_type` varchar(5) NOT NULL COMMENT '배송구분:일반배송,오늘출발 등',
 `location_type` char(1) NOT NULL DEFAULT '0' COMMENT '배송유형:0국내, 1해외',
 `expose_edate` char(1) NOT NULL DEFAULT '0' COMMENT '노출시작일',
 `expose_sdate` char(1) NOT NULL DEFAULT '0' COMMENT '노출 종료일',
 `ship_fee_type` varchar(5) NOT NULL COMMENT '배송비구분:무료,고정비,조건별,수량별,구간별',
 `is_ship_grouping` varchar(5) NOT NULL COMMENT '묶음배송 가능',
 `ship_payment` varchar(5) NOT NULL COMMENT '배송비지불방식:0선불,1착불,2선택',
 `ship_fee` decimal(18,4) NOT NULL COMMENT '무료,고정배송비경우 금액',
 `fee_cond_amt` decimal(18,4) NOT NULL COMMENT '무료조건금액',
 `list_prc` decimal(18,4) NOT NULL DEFAULT 0.0000 COMMENT '소매정가',
 `sales_prc` decimal(18,4) DEFAULT 0.0000 COMMENT '판매가',
 `curr_stk_qty` decimal(18,4) NOT NULL DEFAULT 999999.0000 COMMENT '현재고',
 `cs_telno` varchar(5) NOT NULL COMMENT '서비스센터 전화번화',
 `cs_desc` varchar(5) NOT NULL COMMENT '서비스센터 설명문',
 `maker` varchar(5) NOT NULL COMMENT '제조사',
 `short_desc` text NOT NULL DEFAULT '' COMMENT '짧은설명-html',
 `item_desc` text DEFAULT NULL COMMENT '품목설명-html',
 `model` varchar(5) NOT NULL COMMENT '모델명',
 `mix_qty` decimal(18,4) DEFAULT 0.0000 COMMENT '구매최소량',
 `max_qty` decimal(18,4) DEFAULT 0.0000 COMMENT '구매최대량',
 `seo_keys` decimal(18,4) DEFAULT 0.0000 COMMENT '구매최대량',
 `tax_type` varchar(5) NOT NULL COMMENT '과세,영세,면세',
 `origin_code` varchar(5) NOT NULL COMMENT '원산지국가코드',
 `status` char(1) NOT NULL DEFAULT '0' COMMENT '판매상태: 0판매중, 1품절, 2:단종, 3:중지',
 `importer` varchar(5) NOT NULL COMMENT '수입사',
 `is_adult_only` varchar(5) NOT NULL COMMENT '성인용품',
 `opt1_caption` varchar(5) NOT NULL COMMENT '옵션명1',
 `opt1_values` varchar(5) NOT NULL COMMENT '옵션값1',
 `opt2_caption` varchar(5) NOT NULL COMMENT '옵션명2',
 `opt2_values` varchar(5) NOT NULL COMMENT '옵션값2',
 `opt3_caption` varchar(5) NOT NULL COMMENT '옵션명3',
 `opt3_values` varchar(5) NOT NULL COMMENT '옵션값3',
 `opt_prices` varchar(5) NOT NULL COMMENT '옵션별 추가금액',
 `opt_stk_qtys` varchar(5) NOT NULL COMMENT '옵션별 재고수량',
 `opt_statuses` varchar(5) NOT NULL COMMENT '옵션별 상태',
 `opt_usables` varchar(5) NOT NULL COMMENT '옵션별 사용여부',
 PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
