drop table if exists crm_kkcoupon;
CREATE TABLE `crm_kkcoupon` (
 `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
 `created_on` bigint(20) NOT NULL DEFAULT 0 COMMENT '요청일시',
 `updated_on` bigint(20) NOT NULL DEFAULT 0 COMMENT '마지막변경일시',
 `coupon_on` bigint(20) NOT NULL DEFAULT 0 COMMENT '쿠폰발행일자',
 `created_date` char(8) NOT NULL DEFAULT '' COMMENT '요청발생일자',
 `coupon_date` char(8) NOT NULL DEFAULT '' COMMENT '쿠폰발행일자',
 `coupon_no` varchar(21) NOT NULL DEFAULT '' COMMENT '쿠폰 일련번호',
 `coupon_code` varchar(64) NOT NULL DEFAULT '' COMMENT '할인쿠폰코드',
 `target_uri` varchar(1024) NOT NULL COMMENT '상품페이지URI',
 `product_id` int(10) unsigned NOT NULL DEFAULT 1 COMMENT '상품id',
 `init_dcrate` decimal(6,4) NOT NULL DEFAULT 0.0000 COMMENT '최초할인율',
 `final_dcrate` decimal(6,4) NOT NULL DEFAULT 0.0000 COMMENT '최종할인율',
 `buy_prc` decimal(20,4) NOT NULL DEFAULT 0.0000 COMMENT '구매가격',
 `buy_qty` decimal(20,4) NOT NULL DEFAULT 0.0000 COMMENT '구매수량',
 `buyer_member_id` int(10) unsigned NOT NULL DEFAULT 1 COMMENT '구매회원',
 `seller_member_id` int(10) unsigned NOT NULL DEFAULT 1 COMMENT '판매회원',
 `buyer_email` varchar(69) NOT NULL DEFAULT '' COMMENT '구매자이메일',
 `seller_email` varchar(69) NOT NULL DEFAULT '' COMMENT '판매자이메일',
 `sort` varchar(20) NOT NULL DEFAULT '' COMMENT '조건:블로그작성(0), 리뷰작성(1), 대량구매(2)',
 `sort_desc` varchar(20) NOT NULL DEFAULT '' COMMENT '할인조건 직접입력',
 `status` char(1) NOT NULL DEFAULT '' COMMENT '상황:요청(0),판매대응(1),구매재응(2),완료(3),판매거부(4),구매거부(5)',
 `is_closed` char(1) NOT NULL DEFAULT '' COMMENT '종결처리',
 `is_first_request` char(1) NOT NULL DEFAULT '' COMMENT '고객의 첫번째 요청여부',
 `ip` varchar(20) NOT NULL DEFAULT '',
 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;


